//
// C++ Interface: kpgcheckconstr
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCHECKCONSTR_H
#define KPGCHECKCONSTR_H

#include "kpgtableconstraint.h"

class KPGTableConstraintsFolder;

/**
Table Check constraint

@author Lumir Vanek
*/

class KPGCheckConstr : public KPGTableConstraint
{
public:
    KPGCheckConstr(KPGTableConstraintsFolder *, const QString, pqxx::oid);
	KPGCheckConstr(KPGTableConstraintsFolder *, KPGTableConstraint *, const QString, pqxx::oid);
    ~KPGCheckConstr();
		
	virtual eNodeType type() const { return nodeCheckConstr; }
	
	void displayProperties(QWidget *);
		
	void setExpression(const QString strExpression) { m_strExpression = strExpression; }
		
protected:
	QString m_strExpression;
};

#endif
