//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDOMAINCONSTRAINTSFOLDER_H
#define KPGDOMAINCONSTRAINTSFOLDER_H

#include "kpgtreeitem.h"

class KPGDomain;


/**
Folder for domain constraints

@author Lumir Vanek
*/

class KPGDomainConstraintsFolder : public KPGTreeItem
{
public:
    KPGDomainConstraintsFolder(KPGDomain *);
    ~KPGDomainConstraintsFolder();

    virtual eNodeType type() const { return nodeFolderDomainConstraints; }
    virtual bool refresh();
    bool refresh(pqxx::work &, pqxx::oid);
    void displayProperties(QWidget *);
    pqxx::result resultConstraints() const { return m_pqxxResultConstraints; }
      
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultConstraints; 
};

#endif
