//
// C++ Interface: kpgdomainsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDOMAINSFOLDER_H
#define KPGDOMAINSFOLDER_H

#include "kpgitemsfolder.h"

class KPGSchema;

/**
Folder that hold domains

@author Lumir Vanek
*/

class KPGDomainsFolder : public KPGItemsFolder
{
public:
    KPGDomainsFolder(KPGSchema *, pqxx::oid);
    ~KPGDomainsFolder();
				
		virtual eNodeType type() const { return nodeFolderDomains; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultDomains() const { return m_pqxxResultDomains; }
		
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultDomains;
	
	// Parent namespace OID
	pqxx::oid m_oidNameSpace;
};

#endif
