//
// C++ Interface: kpgindex
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGINDEX_H
#define KPGINDEX_H

#include "kpgtableindex.h"

class KPGTableIndexesFolder;

/**
Table index

@author Lumir Vanek
*/

class KPGIndex : public KPGTableIndex
{
public:
    KPGIndex(KPGTableIndexesFolder *, const QString, pqxx::oid);
	KPGIndex(KPGTableIndexesFolder *, KPGTableIndex *, const QString, pqxx::oid);
    ~KPGIndex();
		
	virtual eNodeType type() const { return nodeIndex ; }
	
	void displayProperties(QWidget *);
    void displayStatistics(QWidget *);
    void displayIoStatistics(QWidget *);
};

#endif
