//
// C++ Interface: kpglanguagesfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGLANGUAGESFOLDER_H
#define KPGLANGUAGESFOLDER_H

#include "kpgitemsfolder.h"

class KPGDatabase;

/**
Folder that hold languages

@author Lumir Vanek
*/

class KPGLanguagesFolder : public KPGItemsFolder
{
public:
    KPGLanguagesFolder(KPGDatabase *);
    ~KPGLanguagesFolder();
		
		virtual eNodeType type() const { return nodeFolderLanguages; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultLanguages() const { return m_pqxxResultLanguages; }
		
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultLanguages;
};

#endif
