//
// C++ Interface: kpgoperatorclassesfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGOPERATORCLASSESFOLDER_H
#define KPGOPERATORCLASSESFOLDER_H

#include "kpgitemsfolder.h"

class KPGSchema;

/**
Folder that hold operator classes

@author Lumir Vanek
*/

class KPGOperatorClassesFolder : public KPGItemsFolder
{
public:
    KPGOperatorClassesFolder(KPGSchema *, pqxx::oid);
    ~KPGOperatorClassesFolder();

		virtual eNodeType type() const { return nodeFolderOperatorClasses; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultOperatorClasses() const { return m_pqxxResultOperatorClasses; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultOperatorClasses;
		
	// Parent namespace OID
	pqxx::oid m_oidNameSpace;		
};

#endif
