//
// C++ Interface: kpgprimarykeyconstr
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGPRIMARYKEYCONSTR_H
#define KPGPRIMARYKEYCONSTR_H

#include "kpgtableconstraint.h"

class KPGTableConstraintsFolder;

/**
Table Primary key constraint

@author Lumir Vanek
*/

class KPGPrimaryKeyConstr : public KPGTableConstraint
{
public:
    KPGPrimaryKeyConstr(KPGTableConstraintsFolder *, const QString, pqxx::oid);
	KPGPrimaryKeyConstr(KPGTableConstraintsFolder *, KPGTableConstraint *, const QString, pqxx::oid);
    ~KPGPrimaryKeyConstr();
		
	virtual eNodeType type() const { return nodePrimaryKeyConstr; }
	
	void displayProperties(QWidget *);
};

#endif
