//
// C++ Interface: kpgrulesfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGRULESFOLDER_H
#define KPGRULESFOLDER_H

#include "kpgtableitemsfolder.h"

/**
Folder that holds table rules

@author Lumir Vanek
*/

class KPGRulesFolder : public KPGTableItemsFolder
{
public:
    KPGRulesFolder(KPGTable *);
		KPGRulesFolder(KPGTable *, KPGTableItemsFolder *);
    ~KPGRulesFolder();

		virtual eNodeType type() const { return nodeFolderRules; }
		bool refresh(pqxx::work &, pqxx::oid);
		void displayProperties(QWidget *);
		pqxx::result resultRules() const { return m_pqxxResultRules; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultRules; 
};

#endif
