//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTABLESPACESFOLDER_H
#define KPGTABLESPACESFOLDER_H

#include "kpgitemsfolder.h"

class KPGServer;

/**
Folder that holds tablespaces list

@author Lumir Vanek
*/

class KPGTablespacesFolder : public KPGItemsFolder
{
public:
    KPGTablespacesFolder(KPGServer *);
    ~KPGTablespacesFolder();
		
		virtual eNodeType type() const { return nodeFolderTablespaces; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultTablespaces() const { return m_pqxxResultTablespaces; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultTablespaces; 
};

#endif
