//
// C++ Interface: kpgtypesfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTYPESFOLDER_H
#define KPGTYPESFOLDER_H

#include "kpgitemsfolder.h"

class KPGSchema;
class KComboBox;

/**
Folder that holds data types

@author Lumir Vanek
*/

class KPGTypesFolder : public KPGItemsFolder
{
public:
    KPGTypesFolder(KPGSchema *, pqxx::oid);
    ~KPGTypesFolder();
				
		virtual eNodeType type() const { return nodeFolderTypes; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultTypes() const { return m_pqxxResultTypes; }
    void fillComboBoxWithChildItems(KComboBox *, bool);
		
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultTypes;
	
	// Parent namespace OID
	pqxx::oid m_oidNameSpace;
};

#endif
