//
// C++ Implementation: kpgcastproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgcastproppage.h"

#include <qtable.h>  

#include <kdebug.h>

#include "../kpglinklabel.h"

KPGCastPropPage::KPGCastPropPage(QWidget *parent, const char *name)
 : KPGCastPropPageBase(parent, name)
{
}


KPGCastPropPage::~KPGCastPropPage()
{
}

void KPGCastPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableProperties->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

// Consumes request for context menu for property table
void KPGCastPropPage::slotTablePropContextMenuRequested(int row, int col, const QPoint & pos)
{
	emit sigTablePropContextMenuRequested(row, col, pos);	
}

#include "kpgcastproppage.moc"
