//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDOMAINCONSTRPROPPAGE_H
#define KPGDOMAINCONSTRPROPPAGE_H

#include "kpgdomainconstrproppagebase.h"

// application specific includes
#include "kpgabstractpropertypage.h"

// include files for libpgxx 
#include <pqxx/util.h> 

/**
Domain check constraint properties

@author Lumir Vanek
*/

class KPGDomainConstrPropPage : public KPGDomainConstrPropPageBase, public KPGAbstractPropertyPage
{
	Q_OBJECT
public:
    KPGDomainConstrPropPage(QWidget *parent = 0, const char *name = 0);
    ~KPGDomainConstrPropPage();
    
    // Return Result table for clipboard actions and export. 
	virtual QTable* tableResult() { return m_pTableProperties; }
	
protected slots:	
	
	// Consumes request for context menu for property table
	virtual void slotTablePropContextMenuRequested(int, int, const QPoint &);
    
signals:
    void sigSearchObject(const pqxx::oid);
                
    // Emit request for context menu for property table
	void sigTablePropContextMenuRequested(int, int, const QPoint &);
};

#endif
