/***************************************************************************
                          kpgtablecolumnproppage  -  description
                             -------------------
    begin                : So no 7 2004
    copyright            : (C) 2004 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kpgtablecolumnproppage.h"

#include <qtable.h>  

#include <kdebug.h>

#include "../kpglinklabel.h"

KPGTableColumnPropPage::KPGTableColumnPropPage(QWidget *parent, const char *name)
 : KPGTableColumnPropPageBase(parent, name)
{
}


KPGTableColumnPropPage::~KPGTableColumnPropPage()
{
}

void KPGTableColumnPropPage::slotTablePropDblClicked(int iRow, int iCol, int /*iButton*/, const QPoint & /*ptMousePos*/)
{
    QWidget *w = m_pTableProperties->cellWidget(iRow, iCol);
		if(w == 0)
			return;
					
		KPGLinkLabel *pLabel = static_cast <KPGLinkLabel *> (w);
		pqxx::oid _oid = pLabel->oid();
			
		if(_oid != 0)
			emit sigSearchObject(_oid);
}

// Consumes request for context menu for property table
void KPGTableColumnPropPage::slotTablePropContextMenuRequested(int row, int col, const QPoint & pos)
{
	emit sigTablePropContextMenuRequested(row, col, pos);	
}

#include "kpgtablecolumnproppage.moc"
