//
// C++ Interface: kpgactionsstates
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGACTIONSSTATES_H
#define KPGACTIONSSTATES_H

  
typedef struct EditActions
{
    bool bEnableDeselect;
};

typedef struct PropertyPageActions
{
    bool bEnableExport;
};

typedef struct QueryResultActions
{
    bool bEnableOpen;
    bool bEnableSave; 
    bool bEnableSaveAs; 
    bool bEnableExport;
    
    bool bEnableClearInpArea;
    bool bEnableUndo;
    bool bEnableRedo;
    bool bEnableCutCopy;
    bool bEnablePaste;
        
    bool bEnableRunQuery;
    bool bEnableStopQuery;
    bool bEnableFetchNext;
    bool bEnableFetchAll;
};

typedef struct DatatableActions
{
    bool bEnableFirstRow;
    bool bEnablePreviousRow;
    bool bEnableNextRow;
    bool bEnableLastRow;
    bool bEnableEditCell;
    bool bEnableClearCell;
    bool bEnableInsertRow;
    bool bEnableDeleteRow;
    bool bEnableCommitChanges;
    bool bEnableCancelChanges;
    bool bEnableReloadData;
    bool bEnableStopReload;
    bool bEnableExport;
};

typedef struct ExecutorActions
{
    bool bEnableExecute;
    bool bEnableStopExecute;
    bool bEnableFetchNext;
    bool bEnableFetchAll;
    
    bool bEnableExport;
};



#endif
