//
// C++ Interface: kpgutil
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGUTIL_H
#define KPGUTIL_H

#include <qstring.h>

/**
Utility class with some helpful static functions

	@author Lumir Vanek <lvanek@users.sourceforge.net>
*/
class KPGUtil
{
private:
    KPGUtil(); // Don't instantiate me
    ~KPGUtil();

public:
	static const QString quotedName(const QString &);
	static const QString unquotedName(const QString &);
	static const QString unspacedName(const QString &);
	static const QString fullyQualifiedName(const QString &, const QString &);

};

#endif
