Summary:   PostgreSQL grafical frontend for KDE 3.x
Name:	   kpogre
Version:   1.5.2
Release:   1.0
Copyright: GPL
Vendor:    Lumir Vanek <lvanek@users.sourceforge.net>
Url:       http://kpogre.sourceforge.net
Packager:  Lumir Vanek <lvanek@users.sourceforge.net>
Group:     Applications
Source:    %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: libpqxx >= 2.6.8

%description
KPoGre is grafical administration tool for PostgreSQL DBMS. It uses libpqxx library.

%ifarch ia64 x86_64
  %define rcopts --with-extra-includes="/usr/include/pqxx -I /usr/include/pgsql" --enable-libsuffix=64 --with-extra-lib=/usr/lib64
%else
  %define rcopts --with-extra-includes="/usr/include/pqxx -I /usr/include/pgsql" --with-extra-lib=/usr/lib
%endif

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure %{rcopts} \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.kpogre
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kpogre
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kpogre

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/kpogre
rm -rf ../file.list.kpogre


%files -f ../file.list.kpogre

