//
// C++ Interface: kpgoperatorsfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGOPERATORSFOLDER_H
#define KPGOPERATORSFOLDER_H

#include "kpgitemsfolder.h"

class KPGSchema;

/**
Folder that hold operators

@author Lumir Vanek
*/

class KPGConnection;

class KPGOperatorsFolder : public KPGItemsFolder
{
public:
    KPGOperatorsFolder(KPGSchema *, pqxx::oid);
    ~KPGOperatorsFolder();

		virtual eNodeType type() const { return nodeFolderOperators; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
		pqxx::result resultOperators() const { return m_pqxxResultOperators; }
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultOperators;
		
	// Parent namespace OID
	pqxx::oid m_oidNameSpace;
};

#endif
