//
// C++ Interface: kpgtriggersfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGTRIGGERSFOLDER_H
#define KPGTRIGGERSFOLDER_H

#include "kpgtableitemsfolder.h"

/**
Folder that holds table triggers

@author Lumir Vanek
*/

class KPGTriggersFolder : public KPGTableItemsFolder
{
public:
    KPGTriggersFolder(KPGTable *);
	KPGTriggersFolder(KPGTable *, KPGTableItemsFolder *);
    ~KPGTriggersFolder();

	virtual eNodeType type() const { return nodeFolderTriggers; }
	bool refresh(pqxx::work &, pqxx::oid);
	void displayProperties(QWidget *);
	pqxx::result resultTriggers() const { return m_pqxxResultTriggers; }
			
protected:
	// results that will be displaied in properties window
  	pqxx::result m_pqxxResultTriggers; 
};

#endif
