//
// C++ Interface: kpguniqueconstr
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGUNIQUECONSTR_H
#define KPGUNIQUECONSTR_H

#include "kpgtableconstraint.h"

class KPGTableConstraintsFolder;

/**
Table Unique constraint

@author Lumir Vanek
*/

class KPGUniqueConstr : public KPGTableConstraint
{
public:
    KPGUniqueConstr(KPGTableConstraintsFolder *, const QString, pqxx::oid);
		KPGUniqueConstr(KPGTableConstraintsFolder *, KPGTableConstraint *, const QString, pqxx::oid);
    ~KPGUniqueConstr();
		
		virtual eNodeType type() const { return nodeUniqueConstr; }
		void displayProperties(QWidget *);
};

#endif
