//
// C++ Interface: kpgusersfolder
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGUSERSFOLDER_H
#define KPGUSERSFOLDER_H

#include "kpgitemsfolder.h"

class KPGServer;

/**
Folder that holds database users

@author Lumir Vanek
*/

class KPGConnection;

class KPGUsersFolder : public KPGItemsFolder
{
public:
    KPGUsersFolder(KPGServer *);
    ~KPGUsersFolder();

		virtual eNodeType type() const { return nodeFolderUsers; }
		bool refresh(pqxx::work &);
		void displayProperties(QWidget *);
			
protected:
  // results that will be displaied in properties window
  pqxx::result m_pqxxResultUsers;
};

#endif
