//
// C++ Implementation: kpgdebuggerchildview
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kpgdebuggerchildview.h"

#include <qlayout.h>

// include files for KDE
#include <klocale.h>
#include <kiconloader.h>

// application specific includes
#include "../kpogreview.h"

KPGDebuggerChildView::KPGDebuggerChildView(KPoGreView *pPoGreView)
 : KMdiChildView(i18n("Debugger"), pPoGreView, "KPGExecutorChildView")
{
	m_pPoGreView = pPoGreView;
	setIcon(SmallIcon("debugger"));
}


KPGDebuggerChildView::~KPGDebuggerChildView()
{
}

bool KPGDebuggerChildView::requestClose()
{
	if(KMessageBox::questionYesNo(this, i18n("Really close debugger window ?")) == KMessageBox::Yes) 
	{
		return true;
	}
	return false;
}


