//
// C++ Interface: kpgdebuggerchildview
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGDEBUGGERCHILDVIEW_H
#define KPGDEBUGGERCHILDVIEW_H

#include <kmdichildview.h>

class QBoxLayout;
class KPoGreView;

/**
MDI child window for PL/pgSQL debugger (not implemented yet ...)

	@author Lumir Vanek <lvanek@users.sourceforge.net>
*/
class KPGDebuggerChildView : public KMdiChildView
{
	Q_OBJECT
public:
    KPGDebuggerChildView(KPoGreView *);
    ~KPGDebuggerChildView();

	// Return true, if window can be closed
	bool requestClose();
	
private:
	// PL/pgSQL child window
	//KPGDebugger*	m_pDebugger;
	
	QBoxLayout* m_pLayout;
	KPoGreView* m_pPoGreView;
};

#endif
