//
// C++ Interface: kpgabstractpropertypage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGABSTRACTPROPERTYPAGE_H
#define KPGABSTRACTPROPERTYPAGE_H

#include "../kpgactionsstates.h"

#include <qobject.h>

class QTable;

/**
Mother of all property pages

	@author Lumir Vanek <lvanek@users.sourceforge.net>
*/
class KPGAbstractPropertyPage
{
public:
    KPGAbstractPropertyPage();
    ~KPGAbstractPropertyPage();

	// Return Result table for clipboard actions and export. 
	virtual QTable* tableResult() = 0;
	
	// Get actions state
    const PropertyPageActions & propertyPageActions() const { return m_propertyPageActions; }
    
protected:

	// State of actions - enable or disabled
    PropertyPageActions m_propertyPageActions;
};

#endif
