//
// C++ Interface: kpgcreateuserwidget1
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGCREATEUSERWIDGET1_H
#define KPGCREATEUSERWIDGET1_H

#include "kpgcreateuserwidget1base.h"

#include <kdatewidget.h>

/**
Widget for create user Wizard

@author Lumir Vanek
*/

class KPGCreateUserWidget1 : public KPGCreateUserWidget1Base
{
Q_OBJECT
public:
    KPGCreateUserWidget1(QWidget *parent, const char *name);
		~KPGCreateUserWidget1();
		
		const QString getSQL() const;
		
protected slots:
	
		virtual void slotRadioButtonExpirationChanged(int);
		virtual void slotLineEditUserNameChanged(const QString &);
		virtual void slotPasswordEdit1Changed(const QString &);
		virtual void slotPasswordEdit2Changed(const QString &);
    
    virtual void slotDateWidgetExpirationChanged(QDate) { ; } // do nothing
    virtual void slotCheckBoxCreateDbToggled(bool) { ; } // do nothing
    virtual void slotCheckBoxCreateUsersToggled(bool) { ; } // do nothing
		
signals:
		void sigEnableNextButton(bool);	
};

#endif
