//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGMODIFYTABLECOLUMNWIZARD_H
#define KPGMODIFYTABLECOLUMNWIZARD_H

#include "kpg3stepswizard.h"

class KPGSchema; 
class KPGTable;
class KPGTableColumn;

/**
Alter table Alter column Wizard

@author Lumir Vanek
*/

class KPGModifyTableColumnWizard : public KPG3StepsWizard
{
Q_OBJECT
public:
    // This wizard is able to alter column DEFAULT, TYPE, STORAGE or STATISTICS
     enum EWizardMode { modeDefault = 0, modeType, modeStorage, modeStats };
    
    KPGModifyTableColumnWizard(QWidget *parent, const char *name, KPGSchema *, KPGTable *, KPGTableColumn *, EWizardMode);
    ~KPGModifyTableColumnWizard();
        
    void setDefaultExpression(const QString &);
    void setStorage(const QString &);
    void setStatTarget(int);

protected:
    virtual void showPage(QWidget *);

protected:
    EWizardMode m_eWizardMode; 
    QString m_strColumnName; 	// name of the altered table column
    QString m_strTableName; 	// name of the altered table
    QString m_strNamespaceName; // name of the namespace 
        
protected slots:
    virtual void languageChange();
};

#endif
