//
// C++ Interface: kpgmodifyuserwidget1
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGMODIFYUSERWIDGET1_H
#define KPGMODIFYUSERWIDGET1_H

#include "kpgcreateuserwidget1.h"

class KPGUser;

/**
Widget for modify user Wizard

@author Lumir Vanek
*/

class KPGModifyUserWidget1 : public KPGCreateUserWidget1
{
Q_OBJECT
public:
    KPGModifyUserWidget1(QWidget *parent, const char *name, KPGUser *);
    ~KPGModifyUserWidget1();
		
		const QString getSQL() const;
    
protected slots:

    virtual void slotLineEditUserNameChanged(const QString &);
    virtual void slotRadioButtonExpirationChanged(int);
    virtual void slotDateWidgetExpirationChanged(QDate);
    virtual void slotCheckBoxCreateDbToggled(bool);
    virtual void slotCheckBoxCreateUsersToggled(bool);
		
protected:
		KPGUser *m_pUser;
};

#endif
