/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : � �n  6 16:08:39 CEST 2002
    copyright            : (C) 2004-2006 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kapplication.h>

// application specific includes
#include "kpogreview.h"

static const char *description =
	I18N_NOOP("KPoGre");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kpogre", I18N_NOOP("KPoGre"), VERSION, description, KAboutData::License_GPL,
		"(c) 2002-2006, KPoGre Developers", "PostgreSQL administration tool", "http://kpogre.sourceforge.net", "lvanek@users.sourceforge.net");
	
	aboutData.addAuthor("Lumir Vanek", "Current developer", "lvanek@users.sourceforge.net", "http://www.valachnet.cz/lvanek");
	aboutData.addAuthor("Dominik Sacher", "Former developer", "dsacher@users.sourceforge.net");
  		
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  	KApplication app;
  	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
 
  	KPoGreView *widget = new KPoGreView(KMdi::IDEAlMode);

	/*if (args->count() != 0)
	{
		for (int i=0; i < args->count(); i++)
		{
			 widget->openURL( args->url( i ) );
		}
	}*/
	widget->show();
	args->clear();

  return app.exec();
}  
